Page MenuHomePhabricator

revlog: store new index entries as binary
ClosedPublic

Authored by joerg.sonnenberger on Oct 6 2020, 9:26 PM.

Details

Summary

For a pure-Python unbundle of the current NetBSD test repository, this
results in a 10% peak RSS reduction. Using the C revlog index, it shows
25% peak RSS reduction. This is a direct result of avoiding at least
8 objects per new changeset or 200 Bytes+ on AMD64.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

joerg.sonnenberger retitled this revision from [WIP] revlog: store new index entries as binary to revlog: store new index entries as binary.Oct 14 2020, 4:29 PM
joerg.sonnenberger edited the summary of this revision. (Show Details)
durin42 requested changes to this revision.Oct 30 2020, 5:28 PM
durin42 added a subscriber: durin42.

This flunks tests extensively (sorry, I forgot to copy the output as I've been doing entirely too many things today).

This revision now requires changes to proceed.Oct 30 2020, 5:28 PM
pulkit accepted this revision.Fri, Nov 27, 5:39 AM
This revision was not accepted when it landed; it landed in state Needs Revision.
This revision was automatically updated to reflect the committed changes.